/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.datasource;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：微服务与数据源关系
*
* createdate:  2021-03-16 15:39:20  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "微服务与数据源关系")
public class SaaSAppDataSourceAddDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  @Size(max = 32, message="微服务-microServiceId: 数据长度不能 > 32" )
  @NotBlank(message = "微服务-microServiceId: 不可为空")
  private String microServiceId;
  /**
   * 数据源集群<br>
   */
  @ApiModelProperty("数据源集群")
  @Size(max = 32, message="数据源集群-dataSourceClusterId: 数据长度不能 > 32" )
  @NotBlank(message = "数据源集群-dataSourceClusterId: 不可为空")
  private String dataSourceClusterId;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getDataSourceClusterId()
  {
    return dataSourceClusterId;
  }

  public void setDataSourceClusterId(String dataSourceClusterId)
  {
    this.dataSourceClusterId = dataSourceClusterId;
  }
}